# Method Unicode.is_wordchar()

Method is_wordchar

  ``int` is_wordchar(`int` `c`)`

Description

  Returns whether a unicode character `c` is a word, part of a word or not.

Returns

  ``2`` | The character is an ideograph (a CJK single-word character)
  ``1`` | The character is a letter, number or non-spacing mark, as defined by its unicode (general category) specification
  ``0`` | Any other character (such as symbols, punctuation and separators)